Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# ACE_ConsumerQOS_Factory Class Reference

`#include <Event_Utilities.h>`

Collaboration diagram for ACE_ConsumerQOS_Factory:

[legend]
List of all members.

## Public Methods
| ACE_ConsumerQOS_Factory (TAO_EC_Event_Initializer initializer = 0)
| ~ACE_ConsumerQOS_Factory (void)
int | start_conjunction_group (int nchildren = 0)
int | start_disjunction_group (int nchildren = 0)
int | start_logical_and_group (int nchildren = 0)
int | start_negation (void)
int | start_bitmask (CORBA::ULong source_mask, CORBA::ULong type_mask)
int | insert_bitmasked_value (CORBA::ULong source_mask, CORBA::ULong type_mask, CORBA::ULong source_value, CORBA::ULong type_value)
int | insert_null_terminator (void)
int | insert (const RtecEventChannelAdmin::Dependency &subscribe)
int | insert (RtecEventComm::EventSourceID source, RtecEventComm::EventType type, RtecBase::handle_t rt_info)
int | insert_type (RtecEventComm::EventType type, RtecBase::handle_t rt_info)
int | insert_source (RtecEventComm::EventSourceID source, RtecBase::handle_t rt_info)
int | insert_time (RtecEventComm::EventType type, RtecEventComm::Time interval, RtecBase::handle_t rt_info)
int | insert_act (RtecEventComm::EventData act)
const RtecEventChannelAdmin::ConsumerQOS& | get_ConsumerQOS (void)
| operator const RtecEventChannelAdmin::ConsumerQOS & (void)
## Static Public Methods
void | debug (const RtecEventChannelAdmin::ConsumerQOS& qos)
## Private Attributes
RtecEventChannelAdmin::ConsumerQOS | qos_
int | designator_set_
TAO_EC_Event_Initializer | event_initializer_

## Constructor & Destructor Documentation

const char *get_rcsid_orbsvcs_ ACE_ConsumerQOS_Factory::ACE_ConsumerQOS_Factory ( | TAO_EC_Event_Initializer initializer = 0 )`[inline]`

ACE_ConsumerQOS_Factory::~ACE_ConsumerQOS_Factory ( | void )

## Member Function Documentation

void ACE_ConsumerQOS_Factory::debug ( | const RtecEventChannelAdmin::ConsumerQOS & qos )`[static]`

ACE_INLINE const RtecEventChannelAdmin::ConsumerQOS & ACE_ConsumerQOS_Factory::get_ConsumerQOS ( | void )

ACE_INLINE int ACE_ConsumerQOS_Factory::insert ( | RtecEventComm::EventSourceID source,
| RtecEventComm::EventType type,
| RtecBase::handle_t rt_info )

int ACE_ConsumerQOS_Factory::insert ( | const RtecEventChannelAdmin::Dependency & subscribe )

ACE_INLINE int ACE_ConsumerQOS_Factory::insert_act ( | RtecEventComm::EventData act )

ACE_INLINE int ACE_ConsumerQOS_Factory::insert_bitmasked_value ( | CORBA::ULong source_mask,
| CORBA::ULong type_mask,
| CORBA::ULong source_value,
| CORBA::ULong type_value )

ACE_INLINE int ACE_ConsumerQOS_Factory::insert_null_terminator ( | void )

ACE_INLINE int ACE_ConsumerQOS_Factory::insert_source ( | RtecEventComm::EventSourceID source,
| RtecBase::handle_t rt_info )

ACE_INLINE int ACE_ConsumerQOS_Factory::insert_time ( | RtecEventComm::EventType type,
| RtecEventComm::Time interval,
| RtecBase::handle_t rt_info )

ACE_INLINE int ACE_ConsumerQOS_Factory::insert_type ( | RtecEventComm::EventType type,
| RtecBase::handle_t rt_info )

ACE_INLINE ACE_ConsumerQOS_Factory::operator const RtecEventChannelAdmin::ConsumerQOS & ( | void )

int ACE_ConsumerQOS_Factory::start_bitmask ( | CORBA::ULong source_mask,
| CORBA::ULong type_mask )

int ACE_ConsumerQOS_Factory::start_conjunction_group ( | int nchildren = 0 )

int ACE_ConsumerQOS_Factory::start_disjunction_group ( | int nchildren = 0 )

int ACE_ConsumerQOS_Factory::start_logical_and_group ( | int nchildren = 0 )

int ACE_ConsumerQOS_Factory::start_negation ( | void )

## Member Data Documentation

int ACE_ConsumerQOS_Factory::designator_set_`[private]`

TAO_EC_Event_Initializer ACE_ConsumerQOS_Factory::event_initializer_`[private]`

RtecEventChannelAdmin::ConsumerQOS ACE_ConsumerQOS_Factory::qos_`[private]`

The documentation for this class was generated from the following files:

- Event_Utilities.h
- Event_Utilities.i
- Event_Utilities.cpp